Page MenuHomePhabricator

Reshard enwiki_general
Closed, ResolvedPublic

Description

enwiki_general currently at 54gb, this is cauing icinga to scream.
example patch for tuning the number of shards https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/454588

Event Timeline

dcausse created this task.Dec 18 2018, 3:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 3:37 PM
dcausse triaged this task as Normal priority.Dec 19 2018, 9:53 AM
dcausse updated the task description. (Show Details)

Change 480829 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/mediawiki-config@master] cirrus: increase number of shards for enwiki_general

https://gerrit.wikimedia.org/r/480829

Mathew.onipe renamed this task from Reshard enwiki_general to Reshard enwiki_general, enwiki_content and commonswiki_file.Dec 21 2018, 7:59 AM
Mathew.onipe updated the task description. (Show Details)

This should be worked on immediately after the holiday. Shards are growing fast.

Mathew.onipe renamed this task from Reshard enwiki_general, enwiki_content and commonswiki_file to Reshard enwiki_general.Jan 3 2019, 6:40 PM
Mathew.onipe updated the task description. (Show Details)

Change 480829 merged by jenkins-bot:
[operations/mediawiki-config@master] cirrus: increase number of shards

https://gerrit.wikimedia.org/r/480829

Mentioned in SAL (#wikimedia-operations) [2019-01-07T13:01:47Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:480829|cirrus: increase number of shards (T212224)]] (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2019-01-07T16:12:24Z] <onimisionipe> starting inplace reindexing for enwiki - T212224

debt closed this task as Resolved.Jan 14 2019, 11:40 PM